Bug 323860 - Wide unicode characters crash text buffer
Summary: Wide unicode characters crash text buffer
Status: RESOLVED FIXED
Alias: None
Product: kte-collaborative
Classification: Unclassified
Component: Text buffer (show other bugs)
Version: pre-0.1
Platform: unspecified Linux
: NOR crash
Target Milestone: ---
Assignee: Sven Brauch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-21 19:54 UTC by Sven Brauch
Modified: 2013-09-01 14:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Brauch 2013-08-21 19:54:24 UTC
To reproduce, paste a character which spans two 16-bit entities, such as 
Comment 1 Sven Brauch 2013-08-21 19:55:44 UTC
ok, doesn't work in bugzilla either :D
example character: http://www.fileformat.info/info/unicode/char/1f638/index.htm
Comment 2 Sven Brauch 2013-09-01 14:57:46 UTC
Git commit 93c18486804c62df19069cb432bd2c728326921f by Sven Brauch.
Committed on 01/09/2013 at 14:57.
Pushed by brauch into branch 'master'.

Fix utf-8 support.

M  +63   -56   common/document.cpp
M  +5    -2    common/document.h

http://commits.kde.org/kte-collaborative/93c18486804c62df19069cb432bd2c728326921f